"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class ArrayConcordance(ProtocolElement):
    """
    Array concordance with WGS data  * `numberOfSites`: Number of sites
    considered * `numberOfDiscordantSites`: Number of sites discordant
    between WGS and Genotyping Array
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "numberOfDiscordantSites",
        "numberOfSites",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_9 import metrics as metrics_1_3_0

        return {
            "org.gel.models.report.avro.ArrayConcordance": metrics_1_3_0.ArrayConcordance,
        }

    __slots__ = [
        "numberOfDiscordantSites",
        "numberOfSites",
    ]

    def __init__(
        self,
        numberOfDiscordantSites,
        numberOfSites,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_3_0.ArrayConcordance model.

        :param numberOfDiscordantSites:
        :type numberOfDiscordantSites: double
        :param numberOfSites:
        :type numberOfSites: double
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.3.0"
